<?php 

require 'db.php';
session_start();

// kontrola zda email a hash nejsou prazdne
if(isset($_GET['email']) && !empty($_GET['email']) AND isset($_GET['hash']) && !empty($_GET['hash']))
{
    //zase proti sql injection
    $email = $mysqli->escape_string($_GET['email']); 
    $hash = $mysqli->escape_string($_GET['hash']); 
    
    // dotaz na uživatele kteremu se shoduje hash a email a nema aktivni ucet (active = 0)
    $result = $mysqli->query("SELECT * FROM users WHERE email='$email' AND hash='$hash' AND active='0'");

    if ( $result->num_rows == 0 )
    { 
        $_SESSION['message'] = "Účet byt již aktivován, nebo adresa URL není platná!";

        header("location: error.php");
    }
    else {
        $_SESSION['message'] = "Váš účet býl aktivován!";
        
        // nastavit uživatele status na active (active = 1)
        $mysqli->query("UPDATE users SET active='1' WHERE email='$email'") or die($mysqli->error);
        $_SESSION['active'] = 1;
        $_SESSION['email'] = $email;
        header("location: success.php");
    }
}
else {
    $_SESSION['message'] = "Verifikace neproběhla úspěšně!";
    header("location: error.php");
}     
?>